Eclipse Platform Release 3.7

## org.eclipse.core.databinding.observable.value
Class ValueDiff

    java.lang.Object
      org.eclipse.core.databinding.observable.value.ValueDiff

All Implemented Interfaces:
  IDiff

    public abstract class ValueDiff

extends Object
implements IDiff

Since:
  1.0

Constructor Summary
`ValueDiff()` Creates a value diff.

Method Summary
`boolean` `equals(Object obj)`
`abstract Object` `getNewValue()`
`abstract Object` `getOldValue()`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueDiff

    public ValueDiff()

  Creates a value diff.

Method Detail

### getOldValue

    public abstract Object getOldValue()

  Returns:
    the old value

### getNewValue

    public abstract Object getNewValue()

  Returns:
    the new value

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.